Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(157)

Issue 316460043: [plaso] Added database schema matching to sqlite plugins #1093 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 2 weeks ago by Joachim Metz
Modified:
4 months, 3 weeks ago
CC:
kiddi, log2timeline-dev_googlegroups.com
Visibility:
Public.

Description

[plaso] Added database schema matching to sqlite plugins #1093

Patch Set 1 #

Total comments: 14

Patch Set 2 : Clean up of SQLite schema extract script #

Total comments: 4

Patch Set 3 : Changes after review #

Total comments: 34

Patch Set 4 : Changes after review #

Patch Set 5 : Changes to schema extractor script #

Total comments: 8

Patch Set 6 : Changes after review #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+1371 lines, -57 lines) Patch
M plaso/engine/worker.py View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
M plaso/parsers/mediator.py View 1 2 3 4 5 2 chunks +20 lines, -6 lines 0 comments Download
M plaso/parsers/sqlite.py View 1 2 3 7 chunks +27 lines, -10 lines 0 comments Download
M plaso/parsers/sqlite_plugins/android_calls.py View 1 2 3 1 chunk +103 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/android_sms.py View 1 2 3 4 5 1 chunk +71 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/android_webview.py View 1 2 3 4 5 1 chunk +21 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/android_webviewcache.py View 1 2 3 4 5 1 chunk +10 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/appusage.py View 1 2 3 4 5 1 chunk +6 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/chrome.py View 1 2 3 4 5 1 chunk +38 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/chrome_cookies.py View 1 2 3 4 5 1 chunk +12 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/chrome_extension_activity.py View 1 2 3 4 5 1 chunk +14 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/firefox.py View 1 2 3 4 5 3 chunks +110 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/firefox_cookies.py View 1 2 3 4 5 1 chunk +9 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/gdrive.py View 1 2 3 4 5 1 chunk +31 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/imessage.py View 1 2 3 4 5 1 chunk +64 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/interface.py View 1 2 3 5 chunks +126 lines, -42 lines 0 comments Download
M plaso/parsers/sqlite_plugins/kik_ios.py View 1 2 3 4 5 1 chunk +61 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/ls_quarantine.py View 1 2 3 4 5 1 chunk +10 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/mac_document_versions.py View 1 2 3 4 5 1 chunk +19 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/mackeeper_cache.py View 1 2 3 4 5 1 chunk +16 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/skype.py View 1 2 3 4 5 1 chunk +274 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/twitter_ios.py View 1 2 3 4 5 1 chunk +80 lines, -0 lines 0 comments Download
M plaso/parsers/sqlite_plugins/zeitgeist.py View 1 2 3 4 5 1 chunk +59 lines, -0 lines 0 comments Download
M test_data/wal_database.db-wal View 0 chunks +-1 lines, --1 lines 0 comments Download
M tests/parsers/sqlite_plugins/interface.py View 4 chunks +66 lines, -0 lines 0 comments Download
A utils/schema_extractor.py View 1 2 3 4 5 1 chunk +123 lines, -0 lines 2 comments Download

Messages

Total messages: 22
Joachim Metz
6 months, 2 weeks ago (2017-04-08 18:44:11 UTC) #1
Joachim Metz
for review this WIP to migrate https://codereview.appspot.com/319750043/
6 months, 2 weeks ago (2017-04-08 18:45:40 UTC) #2
Joachim Metz
https://codereview.appspot.com/316460043/diff/1/plaso/parsers/mediator.py File plaso/parsers/mediator.py (right): https://codereview.appspot.com/316460043/diff/1/plaso/parsers/mediator.py#newcode501 plaso/parsers/mediator.py:501: def RemoveEventAttribute(self, attribute_name): note to self, what is the ...
6 months, 2 weeks ago (2017-04-08 18:52:44 UTC) #3
Joachim Metz
Code updated.
6 months, 2 weeks ago (2017-04-09 12:54:47 UTC) #4
Joachim Metz
https://codereview.appspot.com/316460043/diff/1/plaso/parsers/mediator.py File plaso/parsers/mediator.py (right): https://codereview.appspot.com/316460043/diff/1/plaso/parsers/mediator.py#newcode501 plaso/parsers/mediator.py:501: def RemoveEventAttribute(self, attribute_name): Added reminder to https://github.com/log2timeline/plaso/issues/771 to see ...
6 months, 2 weeks ago (2017-04-09 12:59:04 UTC) #5
dc3.plaso
https://codereview.appspot.com/316460043/diff/1/plaso/parsers/sqlite.py File plaso/parsers/sqlite.py (right): https://codereview.appspot.com/316460043/diff/1/plaso/parsers/sqlite.py#newcode106 plaso/parsers/sqlite.py:106: self.schema = {} On 2017/04/08 18:52:44, Joachim Metz wrote: ...
6 months, 2 weeks ago (2017-04-10 17:32:55 UTC) #6
Joachim Metz
https://codereview.appspot.com/316460043/diff/1/plaso/parsers/sqlite.py File plaso/parsers/sqlite.py (right): https://codereview.appspot.com/316460043/diff/1/plaso/parsers/sqlite.py#newcode106 plaso/parsers/sqlite.py:106: self.schema = {} Thx, agree Python does not need ...
6 months, 2 weeks ago (2017-04-10 18:57:23 UTC) #7
Joachim Metz
Code updated.
6 months, 1 week ago (2017-04-11 04:56:53 UTC) #8
onager
https://codereview.appspot.com/316460043/diff/40001/plaso/parsers/mediator.py File plaso/parsers/mediator.py (left): https://codereview.appspot.com/316460043/diff/40001/plaso/parsers/mediator.py#oldcode207 plaso/parsers/mediator.py:207: KeyError: If an attribute with the given name is ...
6 months, 1 week ago (2017-04-12 19:42:02 UTC) #9
mrtegg
6 months, 1 week ago (2017-04-13 20:51:00 UTC) #10
Joachim Metz
https://codereview.appspot.com/316460043/diff/40001/plaso/parsers/mediator.py File plaso/parsers/mediator.py (left): https://codereview.appspot.com/316460043/diff/40001/plaso/parsers/mediator.py#oldcode207 plaso/parsers/mediator.py:207: KeyError: If an attribute with the given name is ...
6 months ago (2017-04-19 19:18:25 UTC) #11
Joachim Metz
Code updated.
6 months ago (2017-04-19 20:52:41 UTC) #12
Joachim Metz
Code updated.
6 months ago (2017-04-19 21:16:29 UTC) #13
Joachim Metz
https://codereview.appspot.com/316460043/diff/80001/utils/schema_extractor.py File utils/schema_extractor.py (right): https://codereview.appspot.com/316460043/diff/80001/utils/schema_extractor.py#newcode121 utils/schema_extractor.py:121: #pyperclip.copy(database_schema) fix this in final touch up
6 months ago (2017-04-20 05:36:25 UTC) #14
onager
https://codereview.appspot.com/316460043/diff/80001/plaso/parsers/mediator.py File plaso/parsers/mediator.py (right): https://codereview.appspot.com/316460043/diff/80001/plaso/parsers/mediator.py#newcode207 plaso/parsers/mediator.py:207: KeyError: if the event attribute with is already set. ...
6 months ago (2017-04-24 06:36:25 UTC) #15
Joachim Metz
https://codereview.appspot.com/316460043/diff/80001/plaso/parsers/mediator.py File plaso/parsers/mediator.py (right): https://codereview.appspot.com/316460043/diff/80001/plaso/parsers/mediator.py#newcode207 plaso/parsers/mediator.py:207: KeyError: if the event attribute with is already set. ...
5 months, 2 weeks ago (2017-05-07 14:27:11 UTC) #16
Joachim Metz
Code updated.
5 months, 2 weeks ago (2017-05-07 14:46:26 UTC) #17
onager
LGTM
5 months, 2 weeks ago (2017-05-09 02:55:27 UTC) #18
Joachim Metz
Changes have been merged with master branch. To close the review and clean up the ...
5 months, 2 weeks ago (2017-05-09 05:13:01 UTC) #19
dc3.plaso
https://codereview.appspot.com/316460043/diff/100001/utils/schema_extractor.py File utils/schema_extractor.py (right): https://codereview.appspot.com/316460043/diff/100001/utils/schema_extractor.py#newcode74 utils/schema_extractor.py:74: for table_name, query in schema.items(): The original Jinja2 template ...
5 months, 2 weeks ago (2017-05-09 18:52:44 UTC) #20
Joachim Metz
Added reminder to: https://github.com/log2timeline/plaso/issues https://codereview.appspot.com/316460043/diff/100001/utils/schema_extractor.py File utils/schema_extractor.py (right): https://codereview.appspot.com/316460043/diff/100001/utils/schema_extractor.py#newcode74 utils/schema_extractor.py:74: for table_name, query in schema.items(): ...
4 months, 3 weeks ago (2017-05-28 12:02:46 UTC) #21
Joachim Metz
4 months, 3 weeks ago (2017-05-28 12:03:06 UTC) #22
Message was sent while issue was closed.
meant: https://github.com/log2timeline/plaso/issues/1093
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 80a51fa-tainted